/*---------------------------------------------------------------------------*/
/* GIVE-ERR.C -- contains routines to print out various types of error       */
/* messages.                                                                 */
/*---------------------------------------------------------------------------*/

#include <starlet.h>
#include <ssdef.h>

#include "give.h"
#include "give-err.h"

void ERR_Skipping( char *filename, ulong ss_stat )
{
   ulong message_vect[25];

   message_vect[0] = 5;
   message_vect[1] = GIVE_SKIPPING;
   message_vect[2] = 2;
   message_vect[3] = strlen( filename );
   message_vect[4] = filename;
   message_vect[5] = ss_stat;
   sys$putmsg( message_vect, 0, 0, 0 );
}

void ERR_NotGiven( char *filename, ulong ss_stat )
{
   ulong message_vect[25];

   message_vect[0] = 5;
   message_vect[1] = GIVE_NOTGIVEN;
   message_vect[2] = 2;
   message_vect[3] = strlen( filename );
   message_vect[4] = filename;
   message_vect[5] = ss_stat;
   sys$putmsg( message_vect, 0, 0, 0 );
}

void MSG_Given( char *username, char *filename )
{
   ulong message_vect[25];

   if( !qual_log )
      return;

   message_vect[0] = 6;
   message_vect[1] = GIVE_GIVEN;
   message_vect[2] = 4;
   message_vect[3] = strlen( filename );
   message_vect[4] = filename;
   message_vect[5] = strlen( username );
   message_vect[6] = username;
   sys$putmsg( message_vect, 0, 0, 0 );
}

void MSG_AuthCreated( char *filename )
{
   ulong message_vect[25];

   if( !qual_log )
      return;

   message_vect[0] = 5;
   message_vect[1] = GIVE_AUTHCREAT;
   message_vect[2] = 2;
   message_vect[3] = strlen( filename );
   message_vect[4] = filename;
   message_vect[5] = GIVE_EDITAUTH;
   sys$putmsg( message_vect, 0, 0, 0 );
}

void MSG_DirCreated( char *directory )
{
   ulong message_vect[25];

   if( !qual_log )
      return;

   message_vect[0] = 4;
   message_vect[1] = GIVE_DIRCREAT;
   message_vect[2] = 2;
   message_vect[3] = strlen( directory );
   message_vect[4] = directory;
   sys$putmsg( message_vect, 0, 0, 0 );
} 

void MSG_CheckOK( char *filename )
{
   ulong message_vect[25];

   if( !qual_log )
      return;

   message_vect[0] = 4;
   message_vect[1] = GIVE_AUTHOK;
   message_vect[2] = 2;
   message_vect[3] = strlen( filename );
   message_vect[4] = filename;
   sys$putmsg( message_vect, 0, 0, 0 );
}
